package library

import (
	"io"
	"net/http"
	"os"
	"time"

	"github.com/gogf/gf/frame/g"
)

func Get(url string) ([]byte, error) {
	response, err := g.Client().Timeout(30 * time.Second).Get(url)
	if err != nil {
		return nil, err
	}
	defer response.Close()
	return response.ReadAll(), nil
}

func Download(file string, path string) error {
	resp, err := http.Get(file)
	if err != nil {
		return err
	}
	defer resp.Body.Close()

	// 创建一个文件用于保存
	out, err := os.Create(path)
	if err != nil {
		return err
	}
	defer out.Close()

	// 然后将响应流和文件流对接起来
	_, err = io.Copy(out, resp.Body)

	if err != nil && err == io.EOF {
		return nil
	}
	if err != nil {
		return err
	}
	return nil
}
