package middleware

import (
	"github.com/gogf/gf/frame/g"
	"github.com/gogf/gf/net/ghttp"
	"github.com/gogf/gf/util/gvalid"
	"net/http"
)

// Recover异常恢复
func MiddlewareRecover(r *ghttp.Request) {
	r.Middleware.Next()
	if err := r.GetError(); err != nil {
		r.Response.ClearBuffer()
		switch e := err.(type) {
		case gvalid.Error:
			_ = r.Response.WriteJson(g.Map{
				"code": http.StatusBadRequest,
				"msg":  e.FirstString(),
			})

		default:
			_ = r.Response.WriteJson(g.Map{
				"code": http.StatusInternalServerError,
				"msg":  err.Error(),
			})

		}
	}
}

// CORS跨域
func MiddlewareCors(r *ghttp.Request) {
	r.Response.CORSDefault()
	r.Middleware.Next()
}
