package packed

import (
	"github.com/aliyun/aliyun-oss-go-sdk/oss"
	"github.com/gogf/gf/frame/g"
	"io"
)

type ossSdk struct {
	bukectName string
	bucket     *oss.Bucket
}


func NewOss(bucket string) (*ossSdk, error) {
	client, err := oss.New(g.Cfg().GetString("oss.point"),
		g.Cfg().GetString("oss.keyid"), g.Cfg().GetString("oss.serect"))
	if err != nil {
		return nil, err
	}
	b, err := client.Bucket(bucket)
	if err != nil {
		return nil, err
	}
	return &ossSdk{bucket: b}, nil
}

func (sdk *ossSdk) Upload(path string, reader io.Reader) error {
	return sdk.bucket.PutObject(path, reader)
}
